Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class FrameSetElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.MultiPartElement
                        |
                        +--weblogic.html.FrameSetElement

public class FrameSetElement
extends MultiPartElement

A FrameSetElement is used to place multiple frames on an htmlKona page. FrameSetElements can be nested.

After you construct the FrameSetElement, use the addElement() method to add FrameElement objects (one for each frame) to it. This class also supports attributes for the FRAMESET tag, including browser extensions for FRAMEBORDER, BORDER, and BORDERCOLOR.

Author:
  Copyright (c) 1995-97, WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `FrameElement`, `NoFramesElement`

Field Summary
`static java.lang.String` | `onLoadScript` Deprecated.
`static java.lang.String` | `onUnloadScript` Deprecated.

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`FrameSetElement()` Deprecated.

Method Summary
`FrameSetElement` | `addElement(FrameElement val)` Deprecated. Adds a FrameElement to a FrameSetElement.
`FrameSetElement` | `addElement(FrameSetElement val)` Deprecated. Adds a FrameSetElement to a FrameSetElement.
`FrameSetElement` | `addElement(NoFramesElement val)` Deprecated. Adds a NoFramesElement to a FrameSetElement.
`HtmlElement` | `getElementAt(int pos)` Deprecated. Gets the HtmlElement at the specified index position in a FrameSetElement.
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`protected boolean` | `printCR()` Deprecated.
`protected boolean` | `printEndingTag()` Deprecated.
`FrameSetElement` | `setBorder(int thickness)` Deprecated. Sets the BORDER attribute for a FrameSetElement.
`FrameSetElement` | `setBorderColor(java.awt.Color color)` Deprecated. Sets the BORDERCOLOR attribute for a FrameSetElement.
`FrameSetElement` | `setBorderColor(java.lang.String color)` Deprecated. Sets the BORDERCOLOR attribute for a FrameSetElement.
`FrameSetElement` | `setCols(java.lang.String val)` Deprecated. Sets the COLS attribute for a FrameSetElement.
`FrameSetElement` | `setFrameBorder(boolean border)` Deprecated. Sets the FRAMEBORDER attribute for a FrameSetElement.
`FrameSetElement` | `setOnLoad(ScriptElement attrib)` Deprecated. Sets the ONLOAD attribute to a ScriptElement.
`FrameSetElement` | `setOnLoad(java.lang.String attrib)` Deprecated. Sets the ONLOAD attribute.
`FrameSetElement` | `setOnUnload(ScriptElement attrib)` Deprecated. Sets the ONUNLOAD attribute to a ScriptElement.
`FrameSetElement` | `setOnUnload(java.lang.String attrib)` Deprecated. Sets the ONUNLOAD attribute.
`FrameSetElement` | `setRows(java.lang.String val)` Deprecated. Sets the ROWS attribute for a FrameSetElement.

Methods inherited from class weblogic.html.MultiPartElement
`addHeadMultiElement, addMultiElement, getMultiElementAt, getNumElements, printBody, printBody, printBody, removeElement, removeElementAt, replaceElementAt, replaceMultiElementAt, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, printBody, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### onLoadScript

    public static java.lang.String onLoadScript

  Deprecated.

### onUnloadScript

    public static java.lang.String onUnloadScript

  Deprecated.

Constructor Detail

### FrameSetElement

    public FrameSetElement()

  Deprecated.

Method Detail

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class ElementWithAttributes

### printEndingTag

    protected boolean printEndingTag()

  Deprecated.

  Overrides:
    printEndingTag in class ElementWithAttributes

### addElement

    public FrameSetElement addElement(FrameElement val)

  Deprecated.
  Adds a FrameElement to a FrameSetElement.

  Parameters:
    `val` - FrameElement
  Returns:
    FrameSetElement object

### addElement

    public FrameSetElement addElement(FrameSetElement val)

  Deprecated.
  Adds a FrameSetElement to a FrameSetElement.

  Parameters:
    `val` - FrameSetElement
  Returns:
    FrameSetElement object

### addElement

    public FrameSetElement addElement(NoFramesElement val)

  Deprecated.
  Adds a NoFramesElement to a FrameSetElement.

  Parameters:
    `val` - NoFramesElement
  Returns:
    FrameSetElement

### getElementAt

    public HtmlElement getElementAt(int pos)

  Deprecated.
  Gets the HtmlElement at the specified index position in a FrameSetElement.

  Parameters:
    `pos` - Index position
  Returns:
    HtmlElement object

### setOnLoad

    public FrameSetElement setOnLoad(java.lang.String attrib)

  Deprecated.
  Sets the ONLOAD attribute.

  Parameters:
    `attrib` - Event handler for script
  Returns:
    FrameElement object

### setOnLoad

    public FrameSetElement setOnLoad(ScriptElement attrib)

  Deprecated.
  Sets the ONLOAD attribute to a ScriptElement.

  Parameters:
    `attrib` - Event handler as a ScriptElement
  Returns:
    FrameElement object

### setOnUnload

    public FrameSetElement setOnUnload(java.lang.String attrib)

  Deprecated.
  Sets the ONUNLOAD attribute.

  Parameters:
    `attrib` - Event handler for script
  Returns:
    FrameElement object

### setOnUnload

    public FrameSetElement setOnUnload(ScriptElement attrib)

  Deprecated.
  Sets the ONUNLOAD attribute to a ScriptElement.

  Parameters:
    `attrib` - Event handler as a ScriptElement
  Returns:
    FrameElement object

### setBorder

    public FrameSetElement setBorder(int thickness)

  Deprecated.
  Sets the BORDER attribute for a FrameSetElement. This value can be from 0 to n. The default is 5. Specify 0 to position adjacent frames with no border space between them.

  Parameters:
    `thickness` - Number of pixels thick the border should be
  Returns:
    FrameSetElement

### setBorderColor

    public FrameSetElement setBorderColor(java.lang.String color)

  Deprecated.
  Sets the BORDERCOLOR attribute for a FrameSetElement. Not supported by all browsers. Use a constant from HtmlColor, or a hex RGB value after the pattern "#FFFFFF".

  Parameters:
    `color` - HtmlColor constant or hex RGB value
  Returns:
    FrameSetElement
  See Also:
    `HtmlColor`

### setBorderColor

    public FrameSetElement setBorderColor(java.awt.Color color)

  Deprecated.
  Sets the BORDERCOLOR attribute for a FrameSetElement. Not supported by all browsers. Use a java.awt.Color object.

  Parameters:
    `color` - java.awt.Color object
  Returns:
    FrameSetElement
  See Also:
    `HtmlColor`

### setCols

    public FrameSetElement setCols(java.lang.String val)

  Deprecated.
  Sets the COLS attribute for a FrameSetElement.

  Parameters:
    `val` - Number of columns for each frame in a comma-delimited list
  Returns:
    FrameSetElement

### setFrameBorder

    public FrameSetElement setFrameBorder(boolean border)

  Deprecated.
  Sets the FRAMEBORDER attribute for a FrameSetElement. Not supported by all browsers.

### setRows

    public FrameSetElement setRows(java.lang.String val)

  Deprecated.
  Sets the ROWS attribute for a FrameSetElement.

  Parameters:
    `val` - Number of rows for each frame in a comma-delimited list
  Returns:
    FrameSetElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD